LISTW_PROTO_POSITION_FUNC(3)

PROTO_FUNC
listw_PROTO_position_func - Position event callback.

SYNOPSIS
#include <karma_listw.h>

flag listw_PROTO_position_func

(KListWidget list, unsigned int index, unsigned int event_code, void *e_info, void **f_info)

DESCRIPTION
This routine is a position event consumer for a list widget.

list
    The list widget on which the event occurred.

index
    The index in list of strings for which the event occurred.

event_code
    The arbitrary event code.

e_info
    A pointer to arbitrary event information.

f_info
    A pointer to an arbitrary function information pointer.

RETURN VALUE
TRUE if the event was consumed, else FALSE indicating that the event is still to be processed.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/